package com.zd.laboratory.domain.vo;

import com.zd.laboratory.domain.LabHardware;
import com.zd.laboratory.domain.LabHazardSubjectRelation;
import com.zd.laboratory.domain.LabSubject;
import com.zd.system.api.laboratory.domain.SensorFunctionStatus;
import com.zd.system.api.laboratory.domain.vo.HardwareCVO;
import com.zd.system.api.laboratory.domain.vo.LabSubClassVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;
@ApiModel("实验室详细信息")
public class LabSubjectDetailVO extends LabSubject {

    @ApiModelProperty("负责人名称")
    private String adminName;

    @ApiModelProperty("安全负责人名称")
    private String safeUserName;

    @ApiModelProperty("安全负责人手机号")
    private String safeUserPhone;

    @ApiModelProperty("负责人手机号")
    private String adminPhone;

    private List<LabHazardSubjectRelation> hazardSubjectRelations;

    private List<LabHardware> hardwares;
    @ApiModelProperty("测点数据")
    private List<SensorFunctionStatus> sensorFunctionStatuses;

    @ApiModelProperty("实验室安全等级")
    private LabSubClassVO subClassVO;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("安全分级名称")
    private String levelName;

    @ApiModelProperty("安全分级颜色编码")
    private String fiedColor;

    @ApiModelProperty("安全分类名称")
    private String typeName;


    @ApiModelProperty("所属设备列表")
    private List<HardwareCVO> labHardwareVOList;

    public String getSafeUserName() {
        return safeUserName;
    }

    public void setSafeUserName(String safeUserName) {
        this.safeUserName = safeUserName;
    }

    public String getSafeUserPhone() {
        return safeUserPhone;
    }

    public void setSafeUserPhone(String safeUserPhone) {
        this.safeUserPhone = safeUserPhone;
    }

    public List<HardwareCVO> getLabHardwareVOList() {
        return labHardwareVOList;
    }

    public void setLabHardwareVOList(List<HardwareCVO> labHardwareVOList) {
        this.labHardwareVOList = labHardwareVOList;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public LabSubClassVO getSubClassVO() {
        return subClassVO;
    }

    public void setSubClassVO(LabSubClassVO subClassVO) {
        this.subClassVO = subClassVO;
    }

    public List<SensorFunctionStatus> getSensorFunctionStatuses() {
        return sensorFunctionStatuses;
    }

    public void setSensorFunctionStatuses(List<SensorFunctionStatus> sensorFunctionStatuses) {
        this.sensorFunctionStatuses = sensorFunctionStatuses;
    }

    public List<LabHazardSubjectRelation> getHazardSubjectRelations() {
        return hazardSubjectRelations;
    }

    public void setHazardSubjectRelations(List<LabHazardSubjectRelation> hazardSubjectRelations) {
        this.hazardSubjectRelations = hazardSubjectRelations;
    }

    public List<LabHardware> getHardwares() {
        return hardwares;
    }

    public void setHardwares(List<LabHardware> hardwares) {
        this.hardwares = hardwares;
    }

    public String getAdminName() {
        return adminName;
    }

    public void setAdminName(String adminName) {
        this.adminName = adminName;
    }

    public String getAdminPhone() {
        return adminPhone;
    }

    public void setAdminPhone(String adminPhone) {
        this.adminPhone = adminPhone;
    }

    public String getLevelName() {
        return levelName;
    }

    public void setLevelName(String levelName) {
        this.levelName = levelName;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getFiedColor() {
        return fiedColor;
    }

    public void setFiedColor(String fiedColor) {
        this.fiedColor = fiedColor;
    }
}
